3

Goal is to upgrade our sitecore VS solution from 8.2 update 1 to sitecore 9 update 1.

Thought this would be easier but I keep getting this error below when trying to upgrade my sitecore nuget packages from 8.2 update 1 to sitecore 9.0 update 1.

Package 'Sitecore.Abstractions.9.0.171219' does not exist in folder 'C:\Work\source\repo\sitecore9poc\packages'

Could not install package 'Sitecore.Abstractions 9.0.171219'. You are trying to install this package into a project that targets '.NETFramework,Version=v4.5.2', but the package does not contain any assembly references or content files that are compatible with that framework. For more information, contact the package author. ========== Finished ==========

I tried updating the Target Framework from 4.5 to 4.6 and same issue.

Any idea?

Thanks.

11

This seems to be related to the .net version you are targetting on your projects. Sitecore 9 requires .Net 4.6.2 or 4.7. It seems like one or some of your projects are using 4.5.2.

Compatibility table reference: https://kb.sitecore.net/articles/087164

1

Below are the steps that worked for me using VS 2017:

  1. Upgrade .Net 4.6.2 or 4.7
  2. If you get this error below then manually remove System.Net.Http reference and Install-Package System.Net.Http -Version 4.0.0

"Unable to find a version of 'System.Net.Http' that is compatible.."

  1. Make code change below if you are using Tracker.Current.Session.Identify.

Replace Tracker.Current.Session.Identify with Tracker.Current.Session.IdentifyAs

  1. Use solution on link below if you face this

error "ASPNETCOMPILER : error ASPCONFIG: Could not load file or assembly 'System.Runtime, Version=4.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a'"

https://stackoverflow.com/questions/42755274/visual-studio-2017-could-not-load-file-or-assembly-system-runtime-version-4/49078929#49078929

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.